Bug 1410902 - gdm with wayland on repeatedly crashes at gdm login screen
Summary: gdm with wayland on repeatedly crashes at gdm login screen
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 19:22 UTC by Josh Cogliati
Modified: 2017-12-12 10:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:12:46 UTC
Type: Bug


Attachments (Terms of Use)
Shows the journal log of two failures and X11 log info from when wayland is disabled. (184.48 KB, text/plain)
2017-01-06 19:22 UTC, Josh Cogliati
no flags Details

Description Josh Cogliati 2017-01-06 19:22:54 UTC
Created attachment 1238086 [details]
Shows the journal log of two failures and X11 log info from when wayland is disabled.

Description of problem:
When using wayland for gdm, the screen flashes black repeatedly, preventing using the computer (except via ssh...)

When using:
WaylandEnable=false
in /etc/gdm/custom.conf I can successfully log in, so it seems to be wayland related.


Version-Release number of selected component (if applicable):
$ rpm -qa | grep wayland
libwayland-cursor-1.12.0-1.fc25.x86_64
wayland-protocols-devel-1.7-1.fc25.noarch
xorg-x11-server-Xwayland-1.19.0-2.fc25.x86_64
libwayland-client-1.12.0-1.fc25.x86_64
kf5-kwayland-5.27.0-2.fc25.x86_64
mesa-libwayland-egl-devel-13.0.2-2.fc25.x86_64
mesa-libwayland-egl-13.0.2-2.fc25.x86_64
wayland-devel-1.12.0-1.fc25.x86_64
gnome-session-wayland-session-3.22.2-1.fc25.x86_64
ibus-wayland-1.5.14-3.fc25.x86_64
libwayland-server-1.12.0-1.fc25.x86_64
$ rpm -qa | grep nouveau
xorg-x11-drv-nouveau-1.0.13-1.fc25.x86_64


How reproducible:
Completely reproducible.
If I comment out 
WaylandEnable=false
in /etc/gdm/custom.conf
it occurs.

Also, if I use the 
Fedora-Workstation-Live-x86_64-25-1.3.iso 
the bug occurs.


Steps to Reproduce:
1. Boot live cd, and use regular graphics mode.
2. (Don't use the safe graphics mode)


Actual results:
Screen is black and flashes about once a second.


Expected results:
Screen displays gdm, and then I can log in.


Additional info:
Attached a journalctl log of two cycles of this failing.

The video chip is is NVIDIA C51. ( NVIDIAR GeForce 6150 + nForce 430 )

If there is any other output or tests you want me to run, I would be happy to do so.

Comment 1 Fedora End Of Life 2017-11-16 18:45:38 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:12:46 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.